% Design of state feedback

omegaa = ...;                          % speed of one pole pair
zetaa =  ...;                          % damping of one pole pair
omegab = ...;                          % speed of the other pole pair
zetab =  ...;                          % damping of the other pole pair

pc = conv([1 2*omegaa*zetaa omegaa^2],[1 2*omegab*zetab omegab^2]);
poles1 = roots(pc);

L  = place(A,B,poles1);                % compute the state feedback vector L

lr = 1/(C*inv(-A+B*L)*B);              % compute lr such that the static gain
                                       % from r->y becomes 1
