% specs - generate specification plot for laboration 3, AK

figure(3)
clf

subplot(211)

tt = find(ryu.time >= 0 & ryu.time <=5);

plot(ryu.time(tt), ryu.signals(1).values(tt,1), 'Linew', 2)

xlabel('Time')
ylabel('Output')
hold on

plot(1+[-0.3 0 0.3 0.55 0.8 4],10*[0.03 0.03 1.2 1.2 1.03 1.03], 'r--','Linew',1)

plot(1+[-0.3 0.2 0.52 0.8 2 2.2 3.0 3.2 4], 10*[-0.03 -0.03 0.85 ...
		    0.97 0.97 0.85 0.85 0.97 0.97], 'r--','Linew',1)

hold off

subplot(212)

plot(ryu.time(tt), ryu.signals(2).values(tt), 'Linew', 2)

hold on

plot([0 5],[10 10],'r--','Linew',1)
plot([0 5],[-10 -10],'r--','Linew',1)

xlabel('Time')
ylabel('Input')

hold off
set(gcf,'Position',[100 100 750 750])
